# std::unique_ptr::get

From cppreference.com
< cpp‎ | memory‎ | unique ptr

pointer get() const; |  | (since C++11)

Returns a pointer to the managed object or nullptr if no object is owned.

### Parameters

(none)

### Return value

Pointer to the managed object or nullptr if no object is owned.

### Exceptions

`noexcept` specification:
noexcept

### Example

Run this code

    #include <iostream>
    #include <string>
    #include <memory>

    int main()
    {
        std::unique_ptr<std::string> s_p(new std::string("Hello, world!"));
        std::string *s = s_p.get();
        std::cout << *s << '\n';
    }

Output:

    Hello, world!

### See also

release | returns a pointer to the managed object and releases the ownership (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/unique_ptr/get&oldid=91742"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template